Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Quotes

Quotes: Products

Add

POST https://container-url.zoeysite.com/api/rest/quotes2/quote_product

Add new products to the quote.

Example request body:

{
    "quoteId": "4",
    "products": [
        {
            "product_id": "1",
            "qty": 1
        }
    ]
}

Example response (Add Product), HTTP 200:

true

Get

GET https://container-url.zoeysite.com/api/rest/quotes2/quote_product?id=4

Get all products from the quote.

Query parameters:

NameExampleNotes
id4Quote ID.

Example response (Add Product), HTTP 200:

true

Update

PUT https://container-url.zoeysite.com/api/rest/quotes2/quote_product

Update the products on the quote.

Item identifier is required. You can identify an item by either:

Key Description.
product_id ID of product in the quote.
item_id ID of quote item.
sku SKU of product in quote.

Example request body:

{
    "quoteId": "4",
    "products": [
        {
            "product_id": "1",
            "qty": 2
        }
    ]
}

Example response (Add Product), HTTP 200:

true

Delete

DELETE https://container-url.zoeysite.com/api/rest/quotes2/quote_product

Delete products from the quote.

Item identifier is required. You can identify an item by either:

Key Description.
product_id ID of product in the quote.
item_id ID of quote item.
sku SKU of product in quote.

Example request body:

{
    "quoteId": "4",
    "products": [
        {
            "product_id": "1"
        }
    ]
}

Example response (Add Product), HTTP 200:

true